# @davincihealthcare/elty-design-system-react-foundations

The "@davincihealthcare/elty-design-system-react-foundations" is a library that provides a set of default configurations for Tailwind CSS, a highly customizable, utility-based CSS framework. This preset is designed for DaVinci Elty.

## Installation

To install the library, run the following command:

```bash
yarn add @davincihealthcare/elty-design-system-react-foundations
```

## How to use

There are two ways of using this library

### the "preset" way

You need to add this preset to your TailwindCSS configuration:

```ts
import type { Config } from 'tailwindcss'
import { preset } from '@davincihealthcare/elty-design-system-react-foundations'

export default {
  presets: [preset],
  content: ['./**/*.{js,ts,jsx,tsx}'],
} satisfies Config
```

### the "plugin" way

or you can use it as a ✨ **plugin** ✨

```js
import { TailwindPlugin } from '@davincihealthcare/elty-design-system-foundations'

/** @type {import('tailwindcss').Config} */
export default {
  content: ['./src/**/*'],
  plugins: [TailwindPlugin],
}
```
